
ctools - Change request #2307

csphagen: allow other IACTs than CTA

02/07/2018 04:10 PM - Specovius Andreas

Status: Closed Start date: 02/07/2018

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 1.00 hour

Target version: 1.5.1   

Description

Within the current ctools release csphagen skips automatically all observations that are not CTA observations.

Is this mandatory for the current implementation?

It would be great to make it possible again to analyse observations from other instruments than CTA.

History

#1 - 02/08/2018 11:52 AM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.5.1

#2 - 02/08/2018 12:14 PM - Knödlseder Jürgen

- File csphagen.py added

- Status changed from New to In Progress

- % Done changed from 0 to 90

The script should indeed be usable for other IACTs.

I modified the code, but since I don't have non-CTA available, could you please check the attached script before I merge it in?

#3 - 02/08/2018 03:14 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Merged into devel and bugfix-1.5.1 branch.

Files

csphagen.py 18.2 KB 02/08/2018 Knödlseder Jürgen
